### Function

# Gimp context_set_gradient

since: 2.2

#### Declaration [src]

    gboolean
    gimp_context_set_gradient (
      GimpGradient* gradient
    )

#### Description [src]

Sets the active gradient.

Sets the active gradient in the current context. The gradient will be used in subsequent gradient operations. Returns an error when the gradient data was uninstalled since the gradient object was created.

Available since: 2.2

#### Parameters

`gradient`

  Type: `GimpGradient`

  The gradient.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.